# std::allocator::destroy

From cppreference.com
< cpp‎ | memory‎ | allocator

Defined in header `<memory>` |  |
void destroy( pointer p ); |  | (until C++11)
template< class U > void destroy( U* p ); |  | (since C++11) (deprecated since C++17)

Calls the destructor of the object pointed to by `p`

1) Calls ((T*)p)->~T()
2) Calls p->~U()

### Parameters

p | - | pointer to the object that is going to be destroyed

### Return value

(none)

### See also

destroy [static] | destructs an object stored in the allocated storage (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/allocator/destroy&oldid=86269"